/* Copyright (c) 2010 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT. 
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 * $LastChangedRevision:  $
 */ 
#ifndef SYSTEM_H__
#define SYSTEM_H__

void system_init(void);

#define HAL_IO_RADIO_CSN       HAL_IO_P0_02 // Slave select
#define HAL_IO_RADIO_ACTIVE    HAL_IO_P2_02 // P2.2
#define HAL_IO_RADIO_REQN      HAL_IO_P2_00 // P2.0
#define HAL_IO_RADIO_RDY       HAL_IO_P0_07 // P0.7
#define HAL_IO_RADIO_SCK       HAL_IO_P2_11 // P2.11
#define HAL_IO_RADIO_MOSI      HAL_IO_P0_09 // P0.9
#define HAL_IO_RADIO_MISO      HAL_IO_P0_08 // P0.8
#define HAL_IO_RADIO_RST       HAL_IO_P2_01 // P2.1

#define HAL_IO_LED0            HAL_IO_P0_00
#define HAL_IO_LED1            HAL_IO_P0_01

#define ENABLE_INTERRUPTS()       do { __enable_irq(); } while(0)
#define DISABLE_INTERRUPTS()      do { __disable_irq(); } while(0)
#define ARE_INTERRUPTS_ENABLED()  (__get_PRIMASK() == 0);

#endif // SYSTEM_H__
